%!
%  This is a 2x2 format of the slides I used for my talk on the
%  log_tcp package and the rfc 931 identification system.
%	David Barr <barr@pop.psu.edu>
%
%!PS-Adobe-1.0
%%Creator: Ross Cartlidge <rossc@extro.ucc.su.oz>
%%Title: Multiple pages on one page
%%CreationDate: Tuesday July 25 18:00:00 1989
%%Pages: 0
%%DocumentFonts:
%%BoundingBox: 0 0 0 0
%%EndComments
%
% Uncomment the next line if you wish to load multi into the "exitserver"
% state of the PostScript device
% serverdict begin 0 exitserver
%
%
%	make each operator to overlay a procedure so a bind in 
%	a prolog will not stop the overlaying by "multi"
%

[
	/gsave
	/grestore
	/grestoreall
	/initgraphics
	/initmatrix
	/currentmatrix
	/setmatrix
	% Path construction operators
	/initclip
	% Virtual memory operators
	/save
	% ones which needed special overloading
	/showpage
	/erasepage
	/copypage
	/restore
	% ignore these
	/letter
	/legal
	/a4
	/b5
	/lettersmall
	/note
]
{
%	if exists check if operator else define {}
	dup where
	{
		pop
% 		If operator then make into procedure
		dup load type /operatortype eq
		{
			1 array cvx dup
			0
			3 index cvx		% /n -> n
			put			% {}[0] -> n
			bind
			def
		}
		{
			pop
		}
		ifelse
	}
	{
		{} def
	}
	ifelse
}
forall

%
%	Initialise endmulti to execute an error
%
/endmulti
{
	count array astore /ostack exch def
	250 array execstack /estack exch def
	20 array dictstack /dstack exch def
	$error /newerror true put
	$error /errorname (No matching multi) cvn put
	$error /command (endmulti) put
	$error /ostack ostack put
	$error /estack estack put
	$error /dstack dstack put
	stop
}
bind
def

%
%	Put multiple logical pages on one physical page
%	until "endmulti" called
%	
%	landscape nrows ncols dividers multi -
%
%	landscape	boolean, if true divide page in landscape orientation
%	nrows		integer, number of logical pages down physical page
%	ncols		integer, number of logical pages across physical page
%	dividers	boolean, if true divide logical pages by lines
%
/multi
{
	currentdict
	64 dict begin
	/initdict exch def	% store initial dict for backward reference
	/dividers exch def
	/cols exch def
	/rows exch def

%
%	get size of current page
%
	initgraphics clippath pathbbox
	/Y exch def	% Max Y
	/X exch def	% Max X
	/y exch def	% Min Y
	/x exch def	% Min X
	/W X x add def	% Width of Page
	/H Y y add def	% Height of page

%	if landscape
	{
%
%		Note: x and y are reversed
%
		/w Y y sub def	% Width of imageable region
		/h X x sub def	% Height of imageable region
		/L		% Map to landscape
			-90 matrix rotate
			0 H matrix translate
			matrix concatmatrix
		def
		/O y x matrix translate def	% Move to origin
	}
	{
		/w X x sub def
		/h Y y sub def
		/L matrix def
		/O x y matrix translate def
	}
	ifelse

%
%	CTM (multi) = C x T x M x L x I
%	CTM (normal) = C x I
%	CTM (normal) = CTM (multi) x (T x M x L x I)-1 x I
%	M = (Scale rows/cols) x (Scale logical to physical) x
%		(Translate to physical clip origin
%	T = (Convert logical page to spot and physical)
%	L = (Convert to landscape)
%	I = Initial Physical CTM
%	C = Random transform on logical page
	/I
		matrix currentmatrix
	def
	/I_inv
		I matrix invertmatrix
	def

	/M
			w W div cols div
			h H div rows div
		matrix scale			%TMP
		O
		matrix concatmatrix
	def

%	matrix T <current T>
	/T
	{
		page# cols mod W mul
		rows page# cols idiv sub 1 sub H mul
		3 -1 roll translate
	}
	def

%
%	Utility functions
%	NB: *_t1 are temporary variables
%

%	matrix fromcanon <I-1 x T x M x L x I>
	/From_t1 matrix def
	/From_t2 matrix def
	/From_t3 matrix def
	/From_t4 matrix def
	/fromcanon
	{
		I_inv
		From_t1 T
		M
		L
		I
		From_t2 concatmatrix	
		From_t3 concatmatrix
		From_t4 concatmatrix
		3 -1 roll concatmatrix
	}
	def

%	/n {} mkmulti -
%	makes a new function called "n" in previous dict with:-
%		{}[0] = /n
%		{}[1] = currentdict
%		currentdict.n = prevdict.n
%
	/mkmulti
	{
		1 index dup load def	%define old val in current dict
		5 array cvx
		dup 3 4 -1 roll put	% A[3] = {}
		dup 0 3 index put	% A[0] = /n
		dup 1 currentdict put	% A[1] = currentdict
		dup 2 /begin cvx put	% A[2] = begin
		dup 4 /exec cvx put	% A[4] = exec
		initdict 3 1 roll
		put			% define initdict.n to multi function
	}
	def

%
%	path_to_proc {}
%		make proc represenation of current path
%
	/path_to_proc
	{
		{
			[
				/newpath cvx
				{ /moveto cvx}
				{ /lineto cvx}
				{ /curveto  cvx}
				{ /closepath cvx }
				pathforall
			]
			cvx
			exch pop
		}
		stopped
		{
			$error /errorname get /invalidaccess eq
			{
				cleartomark
				$error /newerror false put
				(%%Warning%% charpath in path - path nulled) =
				cvx exec
			}
			{
				stop
			}
			ifelse
		}
		if
	}
	def
	/path_def
	{
		{ currentpoint } stopped
		{
			$error /newerror false put
			{ newpath }
		}
		{
			/newpath cvx 3 1 roll /moveto cvx 4 array astore cvx
		}
		ifelse
	}
	cvlit def

%
%	Draw lines round logical pages
%
	/draw_dividers
	{
		initgraphics
		L concat
		M concat
		1 1 cols 1 sub
		{
			W mul
			dup
			0 moveto
			rows H mul lineto
		}
		for
		1 1 rows 1 sub
		{
			H mul
			dup
			0 exch moveto
			cols W mul exch lineto
		}
		for
		stroke
	}
	def

%
%	for each graphics operator which affects absolute state
%
	/M1 matrix def
	/M3 matrix def
	/M2 matrix def
	[
		/gsave
		/grestore
		/grestoreall
		/initgraphics
		/initmatrix
		/currentmatrix
		/setmatrix
		% Path construction operators
		/initclip
		% Virtual memory operators
		/save
	]
	{
		{
%			Save paths
			path_def path_to_proc
			clippath  { {} } path_to_proc

%
%			CTM <- CTM x Tocano (canon mode)
%
			M1 currentmatrix
			Tocanon
			M2
			concatmatrix
			setmatrix

%			Restore paths
			initclip exec clip
			exec

			load exec

%			Save paths
			path_def path_to_proc
			clippath  { {} } path_to_proc

%
%			CTM <- CTM x Fromcanon (Non canon mode)
%
			M1 currentmatrix
			Fromcanon
			M2
			concatmatrix
			setmatrix

%			Restore paths
			initclip exec clip
			exec
			end
		}
		mkmulti
	}
	forall

%
%	Define the operators which can't use the standard template
%
	/showpage
	{
		/page# page# 1 add def

%		Update the transform matrices
		page# npages eq
		{
			dividers
			{
				draw_dividers
			}
			if
			load exec	% the previous showpage
			/page# 0 def
		}
		{
			pop
		}
		ifelse
		/Fromcanon Fromcanon fromcanon def
		/Tocanon Fromcanon Tocanon invertmatrix def
		end
		initgraphics	% the new initgraphics
	}
	mkmulti

	/copypage
	{
		pop
		end
		gsave
		showpage
		grestore
	}
	mkmulti

	/erasepage
	{
		pop
		end
		gsave
		initclip
		clippath
		1 setgray fill
		grestore
	}
	mkmulti
	[
		/letter
		/legal
		/a4
		/b5
		/lettersmall
		/note
	]
	{
		{
			pop end
			(%%Warning%% Device change ignored) =
		}
		mkmulti
	}
	forall

%
%	Define restore separately as it affects the value of page#, etc
%
	/restore
	{
		pop
%		Push the values to restore after restore
		mark exch 	% put mark under -save-
		page#
		Fromcanon aload pop
		Tocanon aload pop

		counttomark -1 roll	% get -save- to the top
		restore

%		Restore popped values
		Tocanon astore pop
		Fromcanon astore pop
		/page# exch def
		pop	% mark

%		Save paths
		path_def path_to_proc
		clippath  { { } } path_to_proc

%
%		CTM <- CTM x Fromcanon (Non canon mode)
%
		M1 currentmatrix
		Fromcanon
		M2
		concatmatrix
		setmatrix

%		Restore paths
		initclip exec clip
		exec
		end
	}
	mkmulti
%
%	procedure to undo the effect of multi
%
	/endmulti
	{
		pop	% don't need /endmulti
		[
			/gsave
			/grestore
			/grestoreall
			/initgraphics
			/initmatrix
			/currentmatrix
			/setmatrix
			% Path construction operators
			/initclip
			% Virtual memory operators
			/save
			% ones which needed special overloading
			/showpage
			/erasepage
			/copypage
			/restore
			% ignore these
			/letter
			/legal
			/a4
			/b5
			/lettersmall
			/note
			%
			/endmulti
		]
		{
			initdict exch
			dup load 		% get old value
			put			% restore old value
		}
		forall
		page# 0 ne	% if not at new page show uncomplete page
		{
			dividers
			{
				draw_dividers
			}
			if
			showpage
		}
		if
		end
	}
	mkmulti

%
%	Set up in multi(non canon) mode
%
	/page# 0 def
	/npages rows cols mul def
	/Fromcanon matrix fromcanon def
	/Tocanon Fromcanon matrix invertmatrix def
	end
	initgraphics
}
bind
def

% The following calls multi to put several pages on one page.  The remainder
% is the output of dvips.  Jim Duncan, jim@math.psu.edu.
%
% landscape? #rows #columns page-separators? doit.
  false        2      2     true             multi

%!PS-Adobe-2.0
%%Creator: dvips, version 5.4 (C) 1986-90 Radical Eye Software
%%Title: tcp-wrapper.dvi
%%Pages: 12 1
%%BoundingBox: 0 0 612 792
%%EndComments
%%BeginProcSet: tex.pro
/TeXDict 200 dict def TeXDict begin /N /def load def /B{bind def}N /S /exch
load def /X{S N}B /TR /translate load N /isls false N /vsize 10 N /@rigin{
isls{[0 1 -1 0 0 0]concat}if 72 Resolution div 72 VResolution div neg scale
Resolution VResolution vsize neg mul TR}B /@letter{/vsize 10 N}B /@landscape{
/isls true N /vsize -1 N}B /@a4{/vsize 10.6929133858 N}B /@a3{/vsize 15.5531 N
}B /@ledger{/vsize 16 N}B /@legal{/vsize 13 N}B /@manualfeed{statusdict
/manualfeed true put}B /@copies{/#copies X}B /FMat[1 0 0 -1 0 0]N /FBB[0 0 0 0
]N /df{/sf 1 N /fntrx FMat N df-tail}B /dfs{div /sf X /fntrx[sf 0 0 sf neg 0 0
]N df-tail}B /df-tail{/nn 8 dict N nn begin /FontType 3 N /FontMatrix fntrx N
/FontBBox FBB N string /base X array /BitMaps X /BuildChar{CharBuilder}N
/Encoding IE N end dup{/foo setfont}2 array copy cvx N load 0 nn put /ctr 0 N[
}B /E{pop nn dup definefont setfont}B /ch-image{ch-data dup type /stringtype
ne{ctr get /ctr ctr 1 add N}if}B /ch-width{ch-data dup length 5 sub get}B
/ch-height{ch-data dup length 4 sub get}B /ch-xoff{128 ch-data dup length 3
sub get sub}B /ch-yoff{ch-data dup length 2 sub get 127 sub}B /ch-dx{ch-data
dup length 1 sub get}B /ctr 0 N /CharBuilder{save 3 1 roll S dup /base get 2
index get S /BitMaps get S get /ch-data X pop /ctr 0 N ch-dx 0 ch-xoff ch-yoff
ch-height sub ch-xoff ch-width add ch-yoff setcachedevice ch-width ch-height
true[1 0 0 -1 -.1 ch-xoff sub ch-yoff .1 add]{ch-image}imagemask restore}B /D{
/cc X dup type /stringtype ne{]}if nn /base get cc ctr put nn /BitMaps get S
ctr S sf 1 ne{dup dup length 1 sub dup 2 index S get sf div put}if put /ctr
ctr 1 add N}B /I{cc 1 add D}B /bop{userdict /bop-hook known{bop-hook}if /SI
save N @rigin 0 0 moveto}B /eop{clear SI restore showpage userdict /eop-hook
known{eop-hook}if}B /@start{userdict /start-hook known{start-hook}if
/VResolution X /Resolution X 1000 div /DVImag X /IE 256 array N 0 1 255{IE S 1
string dup 0 3 index put cvn put}for}B /p /show load N /RMat[1 0 0 -1 0 0]N
/BDot 8 string N /v{/ruley X /rulex X V}B /V{gsave TR -.1 -.1 TR rulex ruley
scale 1 1 false RMat{BDot}imagemask grestore}B /a{moveto}B /delta 0 N /tail{
dup /delta X 0 rmoveto}B /M{S p delta add tail}B /b{S p tail}B /c{-4 M}B /d{
-3 M}B /e{-2 M}B /f{-1 M}B /g{0 M}B /h{1 M}B /i{2 M}B /j{3 M}B /k{4 M}B /l{p
-4 w}B /m{p -3 w}B /n{p -2 w}B /o{p -1 w}B /q{p 1 w}B /r{p 2 w}B /s{p 3 w}B /t
{p 4 w}B /w{0 rmoveto}B /x{0 S rmoveto}B /y{3 2 roll p a}B /bos{/SS save N}B
/eos{clear SS restore}B end
%%EndProcSet
TeXDict begin 1000 300 300 @start /Fa 1 124 df<7FFFFFFFFFFFFEFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF7FFFFFFFFFFFFE3806809D39>123
D E /Fb 1 16 df<0007F00000003FFE000000FFFF800001FFFFC00003FFFFE00007FFFFF0000F
FFFFF8001FFFFFFC003FFFFFFE003FFFFFFE007FFFFFFF007FFFFFFF007FFFFFFF00FFFFFFFF80
FFFFFFFF80FFFFFFFF80FFFFFFFF80FFFFFFFF80FFFFFFFF80FFFFFFFF80FFFFFFFF807FFFFFFF
007FFFFFFF007FFFFFFF003FFFFFFE003FFFFFFE001FFFFFFC000FFFFFF80007FFFFF00003FFFF
E00001FFFFC00000FFFF8000003FFE00000007F0000021227BA52C>15 D
E /Fc 10 58 df<001FC00000FFF80003FFFE0007FFFF000FE03F801F800FC01F0007C03E0003
E03E0003E07C0001F07C0001F07C0001F0780000F0F80000F8F80000F8F80000F8F80000F8F800
00F8F80000F8F80000F8F80000F8F80000F8F80000F8F80000F8F80000F8F80000F8F80000F878
0000F07C0001F07C0001F07C0001F03E0003E03E0003E01F0007C01F800FC00FE03F8007FFFF00
03FFFE0000FFF800001FC0001D287DA624>48 D<001800003C0000FC0007FC00FFFC00FFFC00FF
FC007C7C00007C00007C00007C00007C00007C00007C00007C00007C00007C00007C00007C0000
7C00007C00007C00007C00007C00007C00007C00007C00007C00007C00007C00007C00007C0000
7C00007C00007C007FFFFCFFFFFEFFFFFE7FFFFC172779A624>I<007FC00001FFF80007FFFC00
0FFFFF001F80FF803E001F80380007C0780007E0700003E0F00001F0600001F0200001F0000001
F0000001F0000001F0000001F0000003E0000003E0000007C00000078000000F8000001F000000
3E0000007C000001F0000003E0000007C000000F8000001E0000003C000000F8000001F0000003
E0000007C000000F0000001FFFFFE07FFFFFF07FFFFFF03FFFFFE01C277DA624>I<003FE00001
FFF80007FFFE000FFFFF001FE03F807F0007C07C0003E0380003E0100003E0000003E0000003E0
000003E0000007C000000FC000001F800000FF00007FFE00007FF800007FFC00007FFF0000003F
80000007C0000003E0000001F0000001F0000000F8000000F8000000F8000000F8000000F80000
00F8E00001F0F00001F0F80003E07E0007C01FC03F800FFFFF0007FFFE0001FFF800003FE0001D
287DA624>I<00007E0000007F000000FF000001DF000003DF000003DF0000079F00000F9F0000
1F1F00001E1F00003E1F00007C1F0000FC1F0000F81F0001F01F0003F01F0003E01F0007C01F00
0F801F001F801F001F001F003E001F007E001F00FC001F00FFFFFFFCFFFFFFFEFFFFFFFE7FFFFF
FC00001F0000001F0000001F0000001F0000001F0000001F0000001F0000001F0000001F000000
0E001F267EA524>I<0FFFFF801FFFFFC01FFFFFC01FFFFF801F0000001F0000001F0000001F00
00001F0000001F0000001F0000001F0000001F0000001F0000001F1FE0001FFFF8001FFFFE001F
FFFF001FF03F801F800FC01E0007C00C0003E0000003E0000001F0000001F0000001F0000001F0
000001F0000001F0200001F0600003E0F00003E0F80007C07E001F803FC07F001FFFFE0007FFFC
0001FFF000007F80001C277DA524>I<0001FE00000FFFC0003FFFC000FFFFC001FE01C003F000
0007C000000F8000000F0000001F0000003E0000003E0000007C0000007C07F0007C1FFC00F87F
FF00F8FFFF80F9E01FC0FB8007C0FF0003E0FE0001F0FC0001F0FC0000F8FC0000F8F80000F8F8
0000F87C0000F8780000F87C0000F87C0000F83C0000F03E0001F01E0001E01F0003E00F8007C0
07E03F8003FFFF0001FFFE0000FFF800001FE0001D287DA624>I<7FFFFFF0FFFFFFF8FFFFFFF8
7FFFFFF0000007E000000FC000001F8000001F0000003E0000007C000000F8000001F8000001F0
000003E0000003E0000007C000000FC000000F8000000F8000001F0000001F0000003F0000003E
0000003E0000007E0000007C0000007C0000007C0000007C000000FC000000F8000000F8000000
F8000000F8000000F8000000F8000000F80000007000001D267DA524>I<003FE00001FFFC0003
FFFE000FFFFF801FC01FC01F0007C03E0003E07E0003F07C0001F07C0001F07C0001F07C0001F0
7C0001F03E0003E01F0007C01F800FC007FFFF0003FFFE0000FFF80003FFFE000FFDFF801F800F
C03E0003E07C0001F07C0001F0F80000F8F80000F8F80000F8F80000F8F80000F8F80000F87C00
01F07C0001F03E0003E03F0007E01FC01FC00FFFFF8003FFFE0001FFFC00003FE0001D287DA624
>I<001FC00000FFF80003FFFC0007FFFE000FE03F001F800F803E0007C03C0003C07C0003E07C
0001E0F80001F0F80001F0F80000F0F80001F0F80000F8F80000F8F80001F8F80001F87C0001F8
7C0003F83E0007F81F000EF81FC03CF80FFFF8F807FFF0F801FFC1F0007F01F0000001F0000001
E0000003E0000003C0000007C000000F8000001F001C007E003F01FC003FFFF8000FFFF00007FF
C00000FE00001D287DA624>I E /Fd 26 122 df<0E003F807FC0FFE0FFE0FFE0FFE0FFE07FC0
3F800E000B0B708A2C>46 D<0000000E000000001F000000003F800000003F800000007F800000
007F00000000FF00000000FE00000001FE00000001FC00000001FC00000003FC00000003F80000
0007F800000007F00000000FF00000000FE00000001FE00000001FC00000003FC00000003F8000
00003F800000007F800000007F00000000FF00000000FE00000001FE00000001FC00000003FC00
000003F800000007F800000007F000000007F00000000FF00000000FE00000001FE00000001FC0
0000003FC00000003F800000007F800000007F00000000FF00000000FE00000000FE00000001FE
00000001FC00000003FC00000003F800000007F800000007F00000000FF00000000FE00000001F
E00000001FC00000001FC00000003FC00000003F800000007F800000007F00000000FF00000000
FE00000000FE000000007C00000000380000000021407BB82C>I<00007F00000003FFE000000F
FFF000003FFFF800007FFFFC0000FF80FE0001FE007F0003F8003F0007F0001F8007E007CF800F
C01FFF801F807FFFC01F00FFFFC03F00FFFFC03E01FC7FC03E03F01FE07E03E00FE07C07E00FE0
7C07C007E0FC07C007E0F80FC007E0F80F8003E0F80F8003E0F80F8003E0F80F8003E0F80F8003
E0F80F8003E0F80F8003E0F80F8003E0F80FC007E0FC07C007C07C07C007C07C07E00FC07E03E0
0F803E03F01F803E01FC7F003F00FFFE001F00FFFE001F807FFC000FC01FF00007E007C00007F0
0007C003F8000FE001FE001FE000FF807FE0007FFFFFC0003FFFFF80000FFFFE000003FFF80000
007F800023327CB12C>64 D<7FE0000FFCFFF0001FFEFFF0001FFEFFF8003FFE7FF8003FFC0FF8
003FE00FBC007BE00FBC007BE00FBC007BE00FBE00FBE00F9E00F3E00F9E00F3E00F9E00F3E00F
9F01F3E00F9F01F3E00F8F01E3E00F8F83E3E00F8F83E3E00F8783C3E00F8783C3E00F87C7C3E0
0F87C7C3E00F83C783E00F83C783E00F83EF83E00F81EF03E00F81EF03E00F81FF03E00F80FE03
E00F80FE03E00F80FE03E00F807C03E00F803803E00F800003E00F800003E00F800003E00F8000
03E00F800003E00F800003E00F800003E00F800003E00F800003E00F800003E00F800003E00F80
0003E07FF0001FFCFFF8003FFEFFF8003FFEFFF8003FFE7FF0001FFC27327EB12C>77
D<01FFC0000007FFF800001FFFFE00001FFFFF80003FFFFFC0003FC03FE0003FC00FE0003FC007
F0001F8003F000060003F800000001F800000001F800000001F8000000FFF800001FFFF80000FF
FFF80003FFFFF8000FFFFFF8001FFF01F8003FF001F8003FC001F8007F0001F800FE0001F800FC
0001F800FC0001F800FC0001F800FC0001F800FE0001F8007E0003F8007F0007F8003FC03FF800
1FFFFFFFF81FFFFFFFFC07FFFFFFFC01FFF87FFC003FC00FF826247BA32C>97
D<7FF0000000FFF8000000FFF8000000FFF80000007FF800000001F800000001F800000001F800
000001F800000001F800000001F800000001F800000001F800000001F800000001F81FC00001F8
FFF80001F9FFFE0001FFFFFF0001FFFFFF8001FFE03FC001FFC01FE001FF0007F001FE0003F001
FC0001F801FC0001FC01F80000FC01F80000FC01F80000FE01F800007E01F800007E01F800007E
01F800007E01F800007E01F800007E01F800007E01F800007E01F80000FE01FC0000FC01FC0000
FC01FC0001F801FE0003F801FE0007F001FF000FF001FF801FE001FFE07FC001FFFFFF8001FFFF
FF0001FBFFFE0001F8FFF00000F01FC00027327FB12C>I<0003FFC000001FFFF800007FFFFE00
01FFFFFE0003FFFFFF0007FC00FF000FF000FF000FE000FF001FC0007E003F800018003F000000
007F000000007E000000007E00000000FC00000000FC00000000FC00000000FC00000000FC0000
0000FC00000000FC00000000FC000000007E000000007E000000007F000000003F00000F003F80
001F801FC0001F800FE0003F800FF0007F0007FC01FF0003FFFFFE0001FFFFFC00007FFFF80000
1FFFE0000003FE000021247AA32C>I<00000FFE0000001FFF0000001FFF0000001FFF0000000F
FF000000003F000000003F000000003F000000003F000000003F000000003F000000003F000000
003F000000003F000007F03F00001FFE3F0000FFFFBF0001FFFFFF0003FFFFFF0007FC0FFF000F
F003FF001FE001FF001FC000FF003F80007F003F00007F007E00003F007E00003F00FE00003F00
FC00003F00FC00003F00FC00003F00FC00003F00FC00003F00FC00003F00FC00003F00FC00003F
00FE00003F007E00007F007E00007F007F0000FF003F0000FF001F8001FF001FC003FF000FF007
FF0007F81FFF0003FFFFFFFC01FFFFBFFE00FFFF3FFE003FFC3FFE0007F01FFC27327DB12C>I<
0003FC0000001FFF8000007FFFC00001FFFFF00003FFFFF80007FC07F8000FF001FC001FE000FE
001FC0007E003F80007F003F00003F007F00003F007E00003F807E00001F80FC00001F80FFFFFF
FF80FFFFFFFF80FFFFFFFF80FFFFFFFF80FFFFFFFF00FC00000000FE000000007E000000007E00
0000007F000000003F00000F003F80001F801FC0001F800FE0003F800FF8007F0007FE01FF0003
FFFFFE0000FFFFFC00007FFFF800000FFFE0000001FE000021247CA32C>I<000007F00000003F
FE000000FFFF000001FFFF800003FFFF800007F87F800007F07F80000FE03F00000FC03F00000F
C00000000FC00000000FC00000000FC00000000FC000007FFFFFFE00FFFFFFFF00FFFFFFFF00FF
FFFFFF007FFFFFFE00000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000
000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000000FC000
00000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000000FC0
0000000FC00000000FC00000000FC00000000FC000007FFFFFF8007FFFFFF800FFFFFFFC007FFF
FFF8007FFFFFF80021327DB12C>I<00000001F00003F80FFC001FFF3FFE003FFFFFFF00FFFFFF
FF01FFFFFE7F01FE0FF87F03F803F83E07F001FC1C07E000FC000FE000FE000FC0007E000FC000
7E000FC0007E000FC0007E000FC0007E000FC0007E000FE000FE0007E000FC0007F001FC0003F8
03F80001FE0FF00003FFFFF00003FFFFE00007FFFF800007DFFF000007C3F8000007C000000007
C000000007C000000007E000000003F000000003FFFFE00001FFFFFE0007FFFFFF800FFFFFFFE0
1FFFFFFFF03FC0001FF83F000003F87E000000FC7C0000007CFC0000007EF80000003EF8000000
3EF80000003EF80000003EFC0000007E7E000000FC3F800003F83FE0000FF81FFC007FF00FFFFF
FFE003FFFFFF8000FFFFFE00003FFFF8000003FF800028387EA42C>I<7FF000000000FFF80000
0000FFF800000000FFF8000000007FF80000000001F80000000001F80000000001F80000000001
F80000000001F80000000001F80000000001F80000000001F80000000001F80000000001F80FE0
000001F87FF8000001F9FFFE000001FBFFFF000001FFFFFF000001FFF03F800001FFC01F800001
FF801FC00001FF000FC00001FE000FC00001FC000FC00001FC000FC00001FC000FC00001F8000F
C00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001
F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000F
C00001F8000FC00001F8000FC00001F8000FC00001F8000FC0007FFFE0FFFF00FFFFF0FFFF80FF
FFF1FFFF80FFFFF0FFFF807FFFE0FFFF0029327FB12C>I<00070000001FC000001FC000003FE0
00003FE000003FE000001FC000001FC00000070000000000000000000000000000000000000000
0000000000007FFFC0007FFFE000FFFFE0007FFFE0007FFFE0000007E0000007E0000007E00000
07E0000007E0000007E0000007E0000007E0000007E0000007E0000007E0000007E0000007E000
0007E0000007E0000007E0000007E0000007E0000007E0000007E0000007E0000007E0000007E0
000007E0000007E0000007E0007FFFFFFCFFFFFFFEFFFFFFFEFFFFFFFE7FFFFFFC1F3379B22C>
I<7FE0000000FFF0000000FFF0000000FFF00000007FF000000001F000000001F000000001F000
000001F000000001F000000001F000000001F000000001F000000001F000000001F01FFFF001F0
3FFFF801F03FFFF801F03FFFF801F01FFFF001F000FE0001F001FC0001F003F80001F007F00001
F00FE00001F01FC00001F03F800001F07F000001F0FE000001F1FC000001F3FC000001F7FE0000
01FFFF000001FFFF000001FF9F800001FF0FC00001FE07E00001FC07E00001F803F00001F001F8
0001F000FC0001F000FC0001F0007E0001F0003F0001F0001F8001F0001F807FFFC0FFFCFFFFE1
FFFEFFFFE1FFFEFFFFE1FFFE7FFFC0FFFC27327EB12C>107 D<7FFFE00000FFFFF00000FFFFF0
0000FFFFF000007FFFF000000003F000000003F000000003F000000003F000000003F000000003
F000000003F000000003F000000003F000000003F000000003F000000003F000000003F0000000
03F000000003F000000003F000000003F000000003F000000003F000000003F000000003F00000
0003F000000003F000000003F000000003F000000003F000000003F000000003F000000003F000
000003F000000003F000000003F000000003F000000003F000000003F000000003F000000003F0
00000003F000000003F000000003F000007FFFFFFF80FFFFFFFFC0FFFFFFFFC0FFFFFFFFC07FFF
FFFF8022327BB12C>I<7F81F003E0007FCFFC1FF800FFDFFE3FFC007FFFFE7FFC007FFFFFFFFE
0007FE1FFC3E0007FC1FF83F0007F80FF01F0007F00FE01F0007E00FC01F0007E00FC01F0007E0
0FC01F0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F
0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C0
0F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F0007C00F801F
007FFC3FF87FF07FFC7FF8FFF0FFFE7FFCFFF87FFC7FF8FFF07FFC3FF87FF02D2481A32C>I<7F
F00FE00000FFF87FF80000FFF9FFFE0000FFFBFFFF00007FFFFFFF000001FFF03F800001FFC01F
800001FF801FC00001FF000FC00001FE000FC00001FC000FC00001FC000FC00001FC000FC00001
F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000F
C00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001
F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC0007FFFE0FFFF00FFFFF0FF
FF80FFFFF1FFFF80FFFFF0FFFF807FFFE0FFFF0029247FA32C>I<0007FC0000001FFF0000007F
FFC00001FFFFF00003FFFFF80007FC07FC000FF001FE001FE000FF001F80003F003F80003F803F
00001F807E00000FC07E00000FC07E00000FC0FC000007E0FC000007E0FC000007E0FC000007E0
FC000007E0FC000007E0FC000007E0FE00000FE07E00000FC07E00000FC07F00001FC03F00001F
803F80003F801FC0007F001FE000FF000FF001FE0007FC07FC0003FFFFF80001FFFFF000007FFF
C000001FFF00000007FC000023247CA32C>I<7FF01FC000FFF8FFF800FFF9FFFE00FFFFFFFF00
7FFFFFFF8001FFE03FC001FFC01FE001FF0007F001FE0003F001FC0001F801FC0001FC01F80000
FC01F80000FC01F80000FE01F800007E01F800007E01F800007E01F800007E01F800007E01F800
007E01F800007E01F800007E01F80000FE01FC0000FC01FC0000FC01FC0001F801FE0003F801FE
0007F001FF000FF001FF801FE001FFE07FC001FFFFFF8001FFFFFF0001FBFFFE0001F8FFF00001
F81FC00001F800000001F800000001F800000001F800000001F800000001F800000001F8000000
01F800000001F800000001F800000001F800000001F800000001F80000007FFFE00000FFFFF000
00FFFFF00000FFFFF000007FFFE0000027367FA32C>I<7FFE007F00FFFF03FFE0FFFF0FFFF0FF
FF1FFFF07FFF3FFFF8003F7F87F8003FFE07F8003FFC07F8003FF803F0003FF000C0003FE00000
003FC00000003FC00000003F800000003F800000003F800000003F000000003F000000003F0000
00003F000000003F000000003F000000003F000000003F000000003F000000003F000000003F00
0000003F000000003F000000003F000000003F0000007FFFFFE000FFFFFFF000FFFFFFF000FFFF
FFF0007FFFFFE00025247DA32C>114 D<003FF87001FFFFF80FFFFFF81FFFFFF83FFFFFF87FC0
0FF87E0003F8FC0001F8F80001F8F80001F8F80001F8FC0000F07F0000007FE000003FFF80001F
FFFC000FFFFF8001FFFFE0003FFFF80000FFFC000007FC000000FE7800007FFC00003FFC00001F
FE00001FFE00001FFF00003FFF80003EFFC000FEFFF003FCFFFFFFFCFFFFFFF8FFFFFFE0F8FFFF
80701FFC0020247AA32C>I<000F000000001F800000001F800000001F800000001F800000001F
800000001F800000001F800000001F800000001F8000007FFFFFFF00FFFFFFFF80FFFFFFFF80FF
FFFFFF807FFFFFFF00001F800000001F800000001F800000001F800000001F800000001F800000
001F800000001F800000001F800000001F800000001F800000001F800000001F800000001F8000
00001F800000001F800000001F800000001F8003C0001F8007E0001F8007E0001F8007E0001F80
07E0001F8007E0001FC00FE0000FC01FC0000FF03FC00007FFFF800007FFFF000003FFFE000000
FFF80000001FC000232E7EAD2C>I<7FF003FF8000FFF807FFC000FFF807FFC000FFF807FFC000
7FF803FFC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F800
0FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC000
01F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F8000FC00001F800
0FC00001F8000FC00001F8000FC00001F8001FC00001F8001FC00001F8003FC00001FC007FC000
00FE01FFC00000FFFFFFFF00007FFFFFFF80003FFFFFFF80001FFFCFFF800003FE07FF0029247F
A32C>I<7FFF01FFFCFFFF01FFFEFFFF83FFFEFFFF01FFFE7FFF01FFFC03E0000F8003E0000F80
03F0001F8001F0001F0001F0001F0001F8003F0000F8003E0000F8003E0000FC007E00007C007C
00007C007C00007E00FC00003E00F800003E00F800003F01F800001F01F000001F01F000001F83
F000000F83E000000F83E000000FC7E0000007C7C0000007C7C0000007EFC0000003EF80000003
EF80000003FF80000001FF00000001FF00000000FE000000007C000027247EA32C>I<7FFF007F
FF007FFF80FFFF00FFFF80FFFF807FFF80FFFF007FFF007FFF0007C00001F00007C00001F00007
C00001F00007C00001F00007C00001F00007C00001F00003E00003E00003E00003E00003E00003
E00003E03E03E00003E07F03E00003E07F03E00001F07F07C00001F0FF87C00001F0FF87C00001
F0F787C00001F0F787C00001F1F7C7C00000F1F7C7800000F9E3CF800000F9E3CF800000FBE3EF
800000FBE3EF8000007BE3EF0000007BC1EF0000007FC1FF0000007FC1FF0000007F80FF000000
7F80FF0000003F80FE0000001F007C000029247FA32C>I<7FFF01FFFC7FFF01FFFEFFFF83FFFE
7FFF01FFFE7FFF01FFFC03E0000F8001F0000F8001F0001F8001F8001F0000F8001F0000F8003F
0000FC003E00007C003E00007E007E00003E007C00003E007C00003F00FC00001F00F800001F00
F800000F81F800000F81F000000F81F0000007C1F0000007C3E0000007C3E0000003E3E0000003
E7C0000001E7C0000001F7C0000001F780000000FF80000000FF800000007F000000007F000000
007F000000003E000000003E000000007E000000007C000000007C00000000FC00000000F80000
0000F800000C01F800003F01F000007F83F000007F87E000007E0FE000007E1FC000007FFF8000
003FFF0000001FFE0000000FFC00000003F000000027367EA32C>121 D
E /Fe 68 125 df<00003F8007E00001FFF00FF00003FFF00FF00007FFF00FF0000FFFF00FF000
1FC0F00FF0003F80200FF0003F000007E0007F00000000007F00000000007F00000000007F0000
0000007F00000000007F00000000007F000000007FFFFFE003E0FFFFFFF007F0FFFFFFF007F0FF
FFFFF007F07FFFFFE007F0007F000007F0007F000007F0007F000007F0007F000007F0007F0000
07F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F000
7F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F0000
07F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F000
7F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F0000
07F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F0007F000007F000
3E000003E02C3A7EB937>12 D<0007FF000007F80000003FFFE0003FFF000001FFFFF000FFFFC0
0007FFFFFC01FFFFE0000FFFFFFE07FFFFF0001FF000FF0FFC07F8001FC0007F9FF003FC001E00
003FBFE000FC001C00001FFF80007E000000000FFF00007F000000000FFF00003F000000000FFE
00003F0000000007FC00001F8000000007FC00001F8000000007FC00001F8000000007F800001F
C000000007F800000FC000000007F800000FC000000007F000000FC000000007F000000FC00000
0007F000000FC000000007FFFFFFFFC0000003FFFFFFFFFFC00001FFFFFFFFFFFFC0001FFFFFFF
FFFFFF8000FFFFFFF00000000003FFF807F00000000007FF0007F8000000001FF80007F8000000
003FE00003F8000000003F800003F8000000007F000003FC00000000FE000003FC00000000FE00
0003FE00000000FE000007FE00000000FE000007FF000000C0FE000007FF800001C0FF00000FFF
C00003C07F00003F9FE0000FC07FC000FF0FF8003FC03FF807FE07FE01FF001FFFFFFC03FFFFFE
000FFFFFF801FFFFFC0007FFFFE0007FFFF00003FFFF00001FFFC000007FE0000001FE0000422E
7BAC4B>26 D<FF000FF0FF000FF0FF000FF0FF000FF0FF000FF0FF000FF0FF000FF0FF000FF01E
0001E03E0003E03E0003E03C0003C07C0007C07C0007C07800078078000780F8000F80F0000F00
F0000F001C137DB834>34 D<FFFFFFFFFFFFFFFF1E3E3E3C7C7C7878F8F0F0081376B81D>39
D<00007000000000F800000000F800000000F800000000F800000000F800000000F800000000F8
00000000F800002000700020F000700078FC007001F8FE007003F8FF80700FF87FC0701FF00FF0
707F8003F870FE0000FC71F800003F77E000000FFF80000003FE00000000F800000003FE000000
0FFF8000003F77E00000FC71F80003F870FE000FF0707F807FC0701FF0FF80700FF8FE007003F8
FC007001F8F00070007820007000200000F800000000F800000000F800000000F800000000F800
000000F800000000F800000000F800000000700000252B79BE34>42 D<FFFFFFFFFFFFFFFF1E3E
3E3C7C7C7878F8F0F0081376871D>44 D<7FFFFF80FFFFFFC0FFFFFFC0FFFFFFC07FFFFF801A05
7F9722>I<FFFFFFFFFFFFFF7F080876871D>I<000000001C000000003E000000007E000000007E
00000000FE00000000FC00000001FC00000001F800000003F800000003F000000007F000000007
E000000007E00000000FE00000000FC00000001FC00000001F800000003F800000003F00000000
7F000000007E000000007E00000000FE00000000FC00000001FC00000001F800000003F8000000
03F000000007F000000007E000000007E00000000FE00000000FC00000001FC00000001F800000
003F800000003F000000007F000000007E00000000FE00000000FC00000000FC00000001FC0000
0001F800000003F800000003F000000007F000000007E00000000FE00000000FC00000000FC000
00001FC00000001F800000003F800000003F000000007F000000007E00000000FE00000000FC00
000000FC00000001FC00000001F800000003F800000003F000000007F000000007E00000000FE0
0000000FC00000000FC00000001FC00000001F800000003F800000003F000000007F000000007E
00000000FE00000000FC00000000FC00000000F800000000780000000027507ABE34>I<0000E0
00000003F000000007F00000000FF00000003FF000003FFFF00000FFFFF00000FFFFF00000FFFF
F00000FFC7F000000007F000000007F000000007F000000007F000000007F000000007F0000000
07F000000007F000000007F000000007F000000007F000000007F000000007F000000007F00000
0007F000000007F000000007F000000007F000000007F000000007F000000007F000000007F000
000007F000000007F000000007F000000007F000000007F000000007F000000007F000000007F0
00000007F000000007F000000007F000000007F000000007F000000007F000000007F000000007
F000000007F000000007F000000007F000007FFFFFFF00FFFFFFFF80FFFFFFFF80FFFFFFFF807F
FFFFFF00213876B734>49 D<0001FFC00000000FFFFC0000007FFFFF000000FFFFFFC00001FFFF
FFE00003FE00FFF00007F0001FF8000FC00007FC001F800001FE003F000000FF003F0000007F00
7E0000007F807E0000003F80FC0000003FC07C0000003FC0380000003FC0180000001FC0080000
001FC0000000001FC0000000003FC0000000003FC0000000003F80000000003F80000000007F80
000000007F0000000000FF0000000000FE0000000001FC0000000003F80000000007F000000000
0FE0000000001FC0000000003F80000000007F0000000000FE0000000003FC0000000007F00000
00000FE0000000001FC0000000007F0000000000FE0000000001FC0000000003F00000000007E0
000000001FC0000000003F80000000007E0000000000FC0000000001F80000000003F000000000
0FC0000000001FFFFFFFFF803FFFFFFFFFC07FFFFFFFFFC07FFFFFFFFFC03FFFFFFFFF802A387C
B734>I<00007FE000000007FFFC0000001FFFFF8000007FFFFFC00000FFFFFFE00003FF803FF8
0007FC0007F8000FF00003FC001FC00001FE003F800000FE003F000000FF001E000000FF000C00
00007F0000000000FF0000000000FF0000000000FF0000000000FE0000000001FE0000000001FC
0000000003FC0000000007F8000000001FF0000000007FE000000007FFC0000007FFFF80000007
FFFE00000007FFF800000007FFFE00000007FFFFC0000000003FE00000000007F80000000001FC
0000000000FE00000000007F00000000007F80000000003FC0000000003FC0000000001FC00000
00001FE0000000001FE0000000001FE0000000001FE0000000001FE0000000001FE0600000003F
C0700000003FC0FC0000007F80FE0000007F807F800000FF001FE00001FE000FF80007FC0007FF
803FF80003FFFFFFF00000FFFFFFE000003FFFFF80000007FFFE00000000FFE000002B397CB734
>I<0000003F80000000007FC000000000FFC000000000FFC000000001FFC000000003EFC00000
0007EFC000000007CFC00000000F8FC00000001F8FC00000003F0FC00000003F0FC00000007E0F
C0000000FC0FC0000001FC0FC0000001F80FC0000003F00FC0000007F00FC000000FE00FC00000
0FC00FC000001F800FC000003F800FC000007F000FC000007E000FC00000FE000FC00001FC000F
C00003F8000FC00003F0000FC00007F0000FC0000FE0000FC0001FC0000FC0001F80000FC0003F
80000FC0007F00000FC000FE00000FC000FFFFFFFFFFF0FFFFFFFFFFF8FFFFFFFFFFF8FFFFFFFF
FFF87FFFFFFFFFF00000000FC0000000000FC0000000000FC0000000000FC0000000000FC00000
00000FC0000000000FC0000000000FC0000000000FC0000000000FC0000000000FC0000000000F
C0000000000FC0000000000FC0000000000780002D377DB634>I<0000FF8000000007FFF00000
001FFFFC0000007FFFFF000000FFFFFF800001FF007FC00003F8001FE00007F00007F0000FC000
03F0001FC00001F8003F800001F8003F000000FC007F000000FC007F000000FE00FE0000007E00
FE0000007E00FE0000007F00FE0000007F00FE0000007F00FE0000007F00FE0000007F00FE0000
007F80FE0000007F80FE0000007F807F0000007F807F000000FF807F000000FF803F800001FF80
1FC00003BF801FC00007BF800FF0000F3F8007FC003E3F8003FFFFFC3F8001FFFFF83F8000FFFF
E03F00007FFFC07F00001FFE007F00000000007F00000000007E0000000000FE0000000000FE00
00000000FC0000000001FC0000000001F80000000003F80000000007F00000000007E000000000
0FC0000800001FC0001C00007F80001F0001FF00003FE00FFC00003FFFFFF800000FFFFFF00000
07FFFFC0000000FFFF000000001FF800000029397BB734>57 D<7FFFFFFFFFFFFFFF0000000000
00000000000000000000000000000000000000000000FFFFFFFFFFFFFF7F082B76AA1D>I<7FFF
FFFFFFFFFFFF000000000000000000000000000000000000000000000000000000FFFFFFFFFFFF
FFFF1E3E3E3C7C7C7878F8F0F0083676AA1D>I<001FFF000001FFFFE0000FFFFFFC003FFFFFFE
007FFFFFFF00FFF001FF807F00003FC07C00000FE07000000FE020000007F000000007F0000000
07F000000007F000000007F00000000FF00000000FE00000001FE00000003FC0000000FF800000
01FF00000003FE00000007FC0000000FF00000001FE00000003FC00000007F800000007F000000
00FE00000000FC00000001FC00000001F800000001F800000003F800000003F000000003F00000
0003F000000003F000000003F000000003F000000003F000000003F00000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000003F0
00000007F800000007F800000007F800000007F800000007F800000007F800000003F00000243A
7AB931>63 D<0000003F00000000000000FFC0000000000000FFC0000000000001FFE000000000
0001FFE0000000000003FFF0000000000003FFF0000000000007F7F8000000000007E7F8000000
00000FE3FC00000000000FE3FC00000000000FC3FC00000000001FC1FE00000000001F81FE0000
0000003F80FF00000000003F80FF00000000007F00FF80000000007F007F8000000000FE007FC0
00000000FE003FC000000001FC003FE000000001FC001FE000000001FC001FE000000003F8001F
F000000003F8000FF000000007F0000FF800000007F00007F80000000FE00007FC0000000FE000
03FC0000001FE00003FE0000001FC00001FE0000003FC00001FF0000003F800001FF0000003F80
0000FF0000007F000000FF8000007F0000007F800000FFFFFFFFFFC00000FFFFFFFFFFC00001FF
FFFFFFFFE00001FFFFFFFFFFE00003FFFFFFFFFFF00003F80000001FF00007F80000000FF80007
F00000000FF80007F000000007F8000FE000000007FC000FE000000003FC001FC000000003FE00
1FC000000001FE003FC000000001FF003F8000000000FF007F8000000000FF807F0000000000FF
80FF00000000007FC0FE00000000007FC0FE00000000003FC0F800000000001FC03A397CB843>
65 D<7FFFFFFE000000FFFFFFFFE00000FFFFFFFFFC0000FFFFFFFFFF0000FFFFFFFFFFC000FF
00000FFFF000FF000000FFF800FF0000001FFC00FF00000007FE00FF00000001FE00FF00000000
FF00FF000000007F00FF000000007F80FF000000007F80FF000000003F80FF000000007F80FF00
0000007F80FF000000007F00FF00000000FF00FF00000001FE00FF00000003FE00FF0000000FFC
00FF0000003FF000FF000001FFE000FF00001FFF8000FFFFFFFFFE0000FFFFFFFFF80000FFFFFF
FFF80000FFFFFFFFFF0000FFFFFFFFFFC000FF000003FFF000FF0000003FFC00FF0000000FFE00
FF00000001FF00FF00000000FF80FF000000007FC0FF000000003FE0FF000000001FE0FF000000
000FF0FF000000000FF0FF000000000FF0FF000000000FF0FF000000000FF0FF000000000FF0FF
000000000FE0FF000000001FE0FF000000003FE0FF000000007FC0FF00000001FF80FF00000007
FF00FF0000003FFE00FF000003FFFC00FFFFFFFFFFF000FFFFFFFFFFE000FFFFFFFFFF0000FFFF
FFFFFC00007FFFFFFF800000343977B844>I<0000001FFF8000000003FFFFFC0000000FFFFFFF
8000007FFFFFFFF00000FFFFFFFFF00003FFF001FFF00007FF00001FF0001FFC000007E0003FF0
000001E0007FC00000006000FF800000000001FF000000000003FE000000000007FC0000000000
07F800000000000FF000000000001FF000000000001FE000000000003FE000000000003FC00000
0000003FC000000000007F8000000000007F8000000000007F800000000000FF000000000000FF
000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF00000000
0000FF000000000000FF000000000000FF000000000000FF0000000000007F8000000000007F80
00000000007F8000000000003FC000000000003FC000000000003FE000000000001FE000000000
001FF000000000000FF0000000000007F8000000000007FC000000000003FE000000000001FF00
0000000000FF8000000018007FC000000038003FF0000000F8001FFC000003F80007FF00000FF8
0003FFF000FFF80000FFFFFFFFE000007FFFFFFF8000000FFFFFFE00000003FFFFF8000000001F
FF8000353B79B942>I<7FFFFFFF00000000FFFFFFFFF0000000FFFFFFFFFE000000FFFFFFFFFF
800000FFFFFFFFFFE00000FF000003FFF00000FF0000003FFC0000FF0000000FFE0000FF000000
03FF0000FF00000000FF8000FF000000007FC000FF000000003FE000FF000000001FF000FF0000
00000FF000FF0000000007F800FF0000000003F800FF0000000003FC00FF0000000001FC00FF00
00000001FE00FF0000000000FE00FF0000000000FF00FF0000000000FF00FF0000000000FF00FF
00000000007F00FF00000000007F80FF00000000007F80FF00000000007F80FF00000000007F80
FF00000000007F80FF00000000007F80FF00000000007F80FF00000000007F80FF00000000007F
80FF00000000007F80FF00000000007F00FF0000000000FF00FF0000000000FF00FF0000000000
FF00FF0000000001FE00FF0000000001FE00FF0000000003FC00FF0000000003FC00FF00000000
07F800FF000000000FF800FF000000000FF000FF000000001FE000FF000000003FC000FF000000
00FF8000FF00000001FF0000FF00000007FE0000FF0000003FFC0000FF000003FFF80000FFFFFF
FFFFE00000FFFFFFFFFF800000FFFFFFFFFE000000FFFFFFFFF00000007FFFFFFF000000003939
77B849>I<7FFFFFFFFFFE00FFFFFFFFFFFF00FFFFFFFFFFFF00FFFFFFFFFFFF00FFFFFFFFFFFE
00FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF0000
00000000FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000
FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF000000
000000FF000000000000FF000000000000FF000000000000FFFFFFFFFFF000FFFFFFFFFFF800FF
FFFFFFFFF800FFFFFFFFFFF800FFFFFFFFFFF000FF000000000000FF000000000000FF00000000
0000FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF00
0000000000FF000000000000FF000000000000FF000000000000FF000000000000FF0000000000
00FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF0000
00000000FF000000000000FF000000000000FFFFFFFFFFFF80FFFFFFFFFFFFC0FFFFFFFFFFFFC0
FFFFFFFFFFFFC07FFFFFFFFFFF80323977B840>I<7FFFFFFFFFFCFFFFFFFFFFFEFFFFFFFFFFFE
FFFFFFFFFFFEFFFFFFFFFFFCFF0000000000FF0000000000FF0000000000FF0000000000FF0000
000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000
FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000
000000FF0000000000FF0000000000FF0000000000FFFFFFFFFF80FFFFFFFFFFC0FFFFFFFFFFC0
FFFFFFFFFFC0FFFFFFFFFF80FF0000000000FF0000000000FF0000000000FF0000000000FF0000
000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000
FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000
000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000
FF00000000007E00000000002F3977B83D>I<0000001FFF0000000001FFFFF80000000FFFFFFF
0000007FFFFFFFE00000FFFFFFFFF80003FFF001FFF80007FF00001FF8001FFC000007F8003FF0
000001F0007FC00000007000FF800000003001FF000000000003FE000000000007FC0000000000
07F800000000000FF000000000000FF000000000001FE000000000003FE000000000003FC00000
0000003FC000000000007F8000000000007F8000000000007F800000000000FF800000000000FF
000000000000FF000000000000FF0000003FFFFCFF0000007FFFFCFF0000007FFFFCFF0000007F
FFFCFF0000007FFFFCFF0000000001FCFF0000000001FCFF8000000001FC7F8000000001FC7F80
00000001FC7F8000000001FC3FC000000001FC3FC000000001FC3FE000000001FC1FE000000001
FC0FF000000001FC0FF000000001FC07F800000001FC07FC00000001FC03FE00000001FC01FF00
000001FC00FF80000001FC007FC0000001FC003FF0000001FC001FFC000001FC0007FF00000FFC
0003FFF001FFFC0000FFFFFFFFFC00007FFFFFFFF000000FFFFFFF80000001FFFFF8000000001F
FF0000363B79B945>I<7E000000007EFF00000000FFFF00000000FFFF00000000FFFF00000000
FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00
000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000
FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00
000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00000000
FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00
000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000
FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00
000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FFFF00000000FF7E00000000
7E303977B843>I<7FFFF0FFFFF8FFFFF8FFFFF87FFFF001FE0001FE0001FE0001FE0001FE0001
FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001
FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001
FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001FE0001
FE0001FE0001FE007FFFF0FFFFF8FFFFF8FFFFF87FFFF015397EB81A>I<7C0000000007F0FE00
0000000FF0FE000000001FE0FE000000007FC0FE00000000FF80FE00000001FF00FE00000003FE
00FE00000007F800FE0000001FF000FE0000003FE000FE0000007FC000FE000000FF0000FE0000
03FE0000FE000007FC0000FE00000FF80000FE00001FF00000FE00007FC00000FE0000FF800000
FE0001FF000000FE0003FE000000FE0007F8000000FE001FF0000000FE003FE0000000FE007FC0
000000FE00FFE0000000FE03FFF0000000FE07FFF8000000FE0FFFF8000000FE1FF3FC000000FE
3FC1FE000000FEFF81FF000000FFFF00FF800000FFFE007FC00000FFF8003FE00000FFF0001FE0
0000FFE0000FF00000FFC00007F80000FF800007FC0000FE000003FE0000FE000001FF0000FE00
0000FF8000FE0000007F8000FE0000003FC000FE0000001FE000FE0000000FF000FE0000000FF8
00FE00000007FC00FE00000003FE00FE00000001FF00FE00000000FF00FE000000007F80FE0000
00003FC0FE000000003FE0FE000000001FF0FE000000000FF8FE0000000007F87C0000000003F8
353976B845>75 D<7E0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF
0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF000000
0000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF
0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF000000
0000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF
0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF000000
0000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF
0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF0000000000FF000000
0000FF0000000000FFFFFFFFFFF0FFFFFFFFFFF8FFFFFFFFFFF8FFFFFFFFFFF87FFFFFFFFFF02D
3977B83B>I<7F000000000003FCFF800000000007FEFFC0000000000FFEFFE0000000001FFEFF
E0000000001FFEFFE0000000001FFEFFF0000000003FFEFDF0000000003EFEFCF8000000007CFE
FCF8000000007CFEFCFC00000000FCFEFC7C00000000F8FEFC7E00000001F8FEFC7E00000001F8
FEFC3E00000001F0FEFC3F00000003F0FEFC1F00000003E0FEFC1F80000007E0FEFC0F80000007
C0FEFC0FC000000FC0FEFC0FC000000FC0FEFC07E000001F80FEFC07E000001F80FEFC03E00000
1F00FEFC03F000003F00FEFC01F000003E00FEFC01F800007E00FEFC01F800007E00FEFC00FC00
00FC00FEFC00FC0000FC00FEFC007E0001F800FEFC007E0001F800FEFC003E0001F000FEFC003F
0003F000FEFC003F0003F000FEFC001F8007E000FEFC001F8007E000FEFC000FC00FC000FEFC00
0FC00FC000FEFC0007C00F8000FEFC0007E01F8000FEFC0003E01F0000FEFC0003F03F0000FEFC
0003F03F0000FEFC0001F87E0000FEFC0001F87E0000FEFC0000F87C0000FEFC0000FCFC0000FE
FC00007CF80000FEFC00007FF80000FEFC00003FF00000FEFC00003FF00000FEFC00003FF00000
FEFC00001FE00000FEFC00000FC00000FEFC000007800000FE780000000000007C3F3976B854>
I<7F8000000078FFE0000000FCFFE0000000FCFFF0000000FCFFF8000000FCFFF8000000FCFDFC
000000FCFDFC000000FCFCFE000000FCFC7F000000FCFC7F000000FCFC3F800000FCFC3F800000
FCFC1FC00000FCFC1FC00000FCFC0FE00000FCFC07F00000FCFC07F00000FCFC03F80000FCFC03
F80000FCFC01FC0000FCFC01FC0000FCFC00FE0000FCFC007F0000FCFC007F0000FCFC003F8000
FCFC003F8000FCFC001FC000FCFC001FE000FCFC000FE000FCFC0007F000FCFC0007F000FCFC00
03F800FCFC0003F800FCFC0001FC00FCFC0000FE00FCFC0000FE00FCFC00007F00FCFC00007F00
FCFC00003F80FCFC00003F80FCFC00001FC0FCFC00000FE0FCFC00000FE0FCFC000007F0FCFC00
0007F0FCFC000003F8FCFC000003F8FCFC000001FCFCFC000000FEFCFC000000FEFCFC0000007F
FCFC0000007FFCFC0000003FFCFC0000001FFCFC0000001FFC7800000007F82E3976B843>I<00
00001FFF00000000000001FFFFF000000000000FFFFFFE00000000003FFFFFFF8000000000FFFF
FFFFE000000003FFF001FFF800000007FF00001FFC0000001FFC000007FF0000003FF0000001FF
8000007FC00000007FC00000FF800000003FE00001FE000000000FF00003FC0000000007F80007
F80000000003FC0007F80000000003FC000FF00000000001FE001FE00000000000FF001FE00000
000000FF003FC000000000007F803FC000000000007F803F8000000000003F807F800000000000
3FC07F8000000000003FC07F8000000000003FC07F0000000000001FC0FF0000000000001FE0FF
0000000000001FE0FF0000000000001FE0FF0000000000001FE0FF0000000000001FE0FF000000
0000001FE0FF0000000000001FE0FF0000000000001FE0FF0000000000001FE0FF800000000000
3FE07F8000000000003FC07F8000000000003FC07FC000000000007FC03FC000000000007F803F
C000000000007F803FE00000000000FF801FE00000000000FF001FF00000000001FF000FF80000
000003FE0007F80000000003FC0007FC0000000007FC0003FE000000000FF80001FF000000001F
F00000FF800000003FE000007FE0000000FFC000003FF0000001FF8000001FFC000007FF000000
0FFF80003FFE00000003FFF001FFF800000000FFFFFFFFE0000000003FFFFFFF80000000000FFF
FFFE000000000001FFFFF00000000000001FFF00000000433B7AB950>I<7FFFFFFE000000FFFF
FFFFE00000FFFFFFFFFC0000FFFFFFFFFF0000FFFFFFFFFFC000FF000003FFE000FF0000003FF0
00FF0000000FF800FF00000007FC00FF00000001FE00FF00000001FE00FF00000000FF00FF0000
00007F00FF000000007F80FF000000007F80FF000000007F80FF000000007F80FF000000007F80
FF000000007F80FF000000007F80FF000000007F00FF00000000FF00FF00000001FE00FF000000
01FE00FF00000007FC00FF0000000FF800FF0000003FF000FF000003FFE000FFFFFFFFFFC000FF
FFFFFFFF0000FFFFFFFFFC0000FFFFFFFFE00000FFFFFFFE000000FF000000000000FF00000000
0000FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF00
0000000000FF000000000000FF000000000000FF000000000000FF000000000000FF0000000000
00FF000000000000FF000000000000FF000000000000FF000000000000FF000000000000FF0000
00000000FF000000000000FF000000000000FF000000000000FF0000000000007E000000000000
313977B841>I<0000001FFF00000000000001FFFFF000000000000FFFFFFE00000000003FFFFF
FF8000000000FFFFFFFFE000000003FFF001FFF800000007FF00001FFC0000001FFC000007FF00
00003FF0000001FF8000007FC00000007FC00000FF800000003FE00001FF000000001FF00003FE
000000000FF80007FC0000000007FC0007F80000000003FC000FF00000000001FE001FF0000000
0001FF001FE00000000000FF003FE00000000000FF803FC000000000007F803FC000000000007F
807F8000000000003FC07F8000000000003FC07F8000000000003FC07F8000000000003FC0FF00
00000000001FE0FF0000000000001FE0FF0000000000001FE0FF0000000000001FE0FF00000000
00001FE0FF0000000000001FE0FF0000000000001FE0FF0000000000001FE0FF0000000000001F
E0FF0000000000001FE07F8000000000003FC07F8000000000003FC07F8000000000003FC03FC0
00000000007F803FC000000000007F803FC000000000007F801FE00000000000FF001FF00000FC
0001FF000FF00000FE0001FE0007F80000FF0003FC0007FC00007F8007FC0003FE00003FC00FF8
0001FF00001FE01FF00000FF80000FF03FE000007FC0000FF87FC000003FF00007FDFF8000001F
FC0003FFFF0000000FFF0001FFFE00000003FFF001FFF800000000FFFFFFFFE0000000003FFFFF
FFE0000000000FFFFFFFF00000000001FFFFFFF800000000001FFF07FC0000000000000003FE00
00000000000001FF0000000000000000FF8000000000000000FFC0000000000000007FE0000000
000000003FF0000000000000001FF8000000000000000FFC0000000000000007FC000000000000
0003FC0043457AB950>I<7FFFFFFF000000FFFFFFFFF00000FFFFFFFFFE0000FFFFFFFFFF8000
FFFFFFFFFFE000FF000001FFF800FF0000001FFC00FF00000003FE00FF00000000FF00FF000000
007F80FF000000003FC0FF000000003FC0FF000000001FE0FF000000001FE0FF000000001FE0FF
000000001FE0FF000000001FE0FF000000001FE0FF000000001FE0FF000000003FC0FF00000000
3FC0FF000000007F80FF00000000FF00FF00000003FE00FF0000001FFC00FF000001FFF800FFFF
FFFFFFE000FFFFFFFFFF8000FFFFFFFFFE0000FFFFFFFFF00000FFFFFFFF800000FF00003FC000
00FF00001FE00000FF00000FF00000FF000007F00000FF000007F80000FF000003FC0000FF0000
01FE0000FF000000FE0000FF000000FF0000FF0000007F8000FF0000003FC000FF0000001FE000
FF0000000FE000FF0000000FF000FF00000007F800FF00000003FC00FF00000001FE00FF000000
01FE00FF00000000FF00FF000000007F80FF000000003FC0FF000000001FC0FF000000001FE0FF
000000000FF0FF0000000007F07E0000000003F0343977B843>I<00007FFC00000003FFFFC000
001FFFFFF800007FFFFFFE0000FFFFFFFF8001FFFFFFFF8003FFC007FF8007FC0000FF800FF000
001F001FE0000007003FC0000003003F80000000003F00000000007F00000000007F0000000000
7F00000000007F00000000007F00000000007F80000000003FC0000000003FE0000000003FF800
0000001FFE000000000FFFE000000007FFFF00000003FFFFF8000001FFFFFF000000FFFFFFE000
003FFFFFF000000FFFFFFC000003FFFFFE0000003FFFFF00000001FFFF800000000FFFC0000000
01FFE0000000007FE0000000001FF0000000000FF00000000007F80000000007F80000000003F8
0000000003F80000000003F80000000003F80000000003F80000000003F06000000007F0700000
0007F07C0000000FE0FF0000001FE0FFC000007FC0FFF80001FF80FFFF800FFF003FFFFFFFFE00
0FFFFFFFFC0003FFFFFFF00000FFFFFFC000000FFFFF00000000FFF000002D3B7BB939>I<7FFF
FFFFFFFFFFFF00FFFFFFFFFFFFFFFF80FFFFFFFFFFFFFFFF80FFFFFFFFFFFFFFFF807FFFFFFFFF
FFFFFF0000000007F80000000000000007F80000000000000007F80000000000000007F8000000
0000000007F80000000000000007F80000000000000007F80000000000000007F8000000000000
0007F80000000000000007F80000000000000007F80000000000000007F80000000000000007F8
0000000000000007F80000000000000007F80000000000000007F80000000000000007F8000000
0000000007F80000000000000007F80000000000000007F80000000000000007F8000000000000
0007F80000000000000007F80000000000000007F80000000000000007F80000000000000007F8
0000000000000007F80000000000000007F80000000000000007F80000000000000007F8000000
0000000007F80000000000000007F80000000000000007F80000000000000007F8000000000000
0007F80000000000000007F80000000000000007F80000000000000007F80000000000000007F8
0000000000000007F80000000000000007F80000000000000007F80000000000000007F8000000
0000000007F80000000000000007F80000000000000007F80000000000000007F8000000000000
0007F80000000000000007F80000000000000007F80000000000000007F80000000000000003F0
0000000041397CB84A>I<7E000000003EFF000000007FFF000000007FFF000000007FFF000000
007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF
000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000
007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF
000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000
007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF000000007FFF
000000007FFF000000007FFF000000007FFF000000007FFF000000007F7F80000000FE7F800000
00FE7F80000001FE3FC0000001FC3FE0000003FC1FE0000007F80FF000000FF00FFC00001FF007
FE00003FE003FF8000FFC000FFF007FF80007FFFFFFE00001FFFFFFC000007FFFFF0000001FFFF
800000001FF80000303A77B843>I<7C000000003F800000000780FE000000007FC00000000FC0
FF000000007FC00000000FC07F00000000FFE00000001F807F00000000FFE00000001F807F8000
0001FFE00000001F803F80000001FFF00000003F003F80000001FFF00000003F003FC0000003F3
F80000007F001FC0000003F3F80000007E001FC0000003E3F80000007E000FE0000007E1FC0000
00FC000FE0000007E1FC000000FC000FF0000007C1FC000000FC0007F000000FC0FE000001F800
07F000000FC0FE000001F80007F800000F80FE000001F80003F800001F807F000003F00003F800
001F807F000003F00003FC00003F007F000003F00001FC00003F003F800007E00001FC00003F00
3F800007E00001FE00007E001F80000FE00000FE00007E001FC0000FC00000FE00007C001FC000
0FC000007F0000FC000FE0001F8000007F0000FC000FE0001F8000007F0000F8000FE0001F8000
003F8001F80007F0003F0000003F8001F80007F0003F0000003FC001F00007F0003F0000001FC0
03F00003F8007E0000001FC003F00003F8007E0000001FE003E00003F8007E0000000FE007E000
01FC00FC0000000FE007C00001FC00FC00000007F007C00000FC00F800000007F00FC00000FE01
F800000007F00F800000FE01F800000003F80F8000007E01F000000003F81F8000007F03F00000
0003F81F0000007F03F000000001FC1F0000003F03E000000001FC3F0000003F87E000000001FC
3E0000003F87E000000000FC3E0000001F87C000000000FE7E0000001FCFC000000000FE7C0000
000FCFC0000000007E7C0000000FCF80000000007E780000000FCF80000000003FF800000007FF
00000000003FF800000007FF00000000003FF000000007FF00000000001FF000000003FE000000
00001FF000000003FE00000000000FE000000001FC000000000007C000000000F80000005A397E
B85F>87 D<3FC000000000FE003FF000000001FE003FF000000003FE001FF800000007FC000FFC
0000000FF80007FE0000001FF00003FF0000003FE00001FF8000007FE00000FFC000007FC00000
7FE00000FF8000003FF00001FF0000001FF00003FE0000000FF80007FC00000007FC000FF80000
0007FE001FF000000003FF001FF000000001FF803FE000000000FFC07FC0000000007FE0FF8000
0000003FE1FF00000000001FF3FE00000000000FFFFC000000000007FFF8000000000003FFF000
0000000001FFF0000000000000FFE00000000000007FC00000000000007FC0000000000000FFE0
000000000001FFF0000000000003FFF8000000000007FFFC00000000000FFBFE00000000001FF1
FF00000000003FE0FF80000000007FC07F80000000007F807FC000000000FF003FE000000001FE
001FF000000003FE000FF800000007FC0007FC0000000FF80003FE0000001FF00001FF0000003F
E00001FF8000007FC00000FFC000007F8000007FE00000FF8000003FF00001FF0000001FF80003
FE0000000FFC0007FC00000007FE000FF800000003FE001FF000000003FF003FF000000001FF80
3FE000000000FFC07FC0000000007FE0FF80000000003FF07F00000000001FE03C397DB843>I<
FF000000000000FCFFC00000000003FCFFE00000000007FC7FE0000000000FF83FF0000000001F
F01FF8000000003FE00FFC000000007FC007FE000000007F8007FF00000000FF8003FF80000001
FF0001FF80000003FE0000FFC0000007FC00007FE000000FF800003FF000000FF000003FF80000
1FE000001FFC00003FE000000FFC00007FC0000007FE0000FF80000003FF0001FF00000001FF80
01FE00000001FFC003FC00000000FFC007FC000000007FE00FF8000000003FF01FF0000000001F
F83FE0000000000FFC3FC00000000007FC7F800000000007FEFF800000000003FFFF0000000000
01FFFE000000000000FFFC0000000000007FF80000000000003FF00000000000003FE000000000
00001FE00000000000001FE00000000000001FE00000000000001FE00000000000001FE0000000
0000001FE00000000000001FE00000000000001FE00000000000001FE00000000000001FE00000
000000001FE00000000000001FE00000000000001FE00000000000001FE00000000000001FE000
00000000001FE00000000000001FE00000000000001FE00000000000001FE00000000000001FE0
0000000000001FE00000000000001FE00000000000000FC00000003E397EB843>I<3FFFFFFFFF
FF807FFFFFFFFFFFC07FFFFFFFFFFFC07FFFFFFFFFFFC03FFFFFFFFFFFC00000000001FF800000
000001FF000000000003FE000000000007FC00000000000FFC00000000001FF800000000003FF0
00000000003FE000000000007FC00000000000FF800000000001FF800000000003FF0000000000
07FE000000000007FC00000000000FF800000000001FF000000000003FF000000000007FE00000
000000FFC00000000000FF800000000001FF000000000003FE000000000007FE00000000000FFC
00000000001FF800000000001FF000000000003FE000000000007FC00000000000FFC000000000
01FF800000000003FF000000000003FE000000000007FC00000000000FF800000000001FF80000
0000003FF000000000007FE000000000007FC00000000000FF800000000001FF000000000003FF
000000000007FE00000000000FFC00000000000FF800000000001FF000000000003FE000000000
007FE00000000000FFFFFFFFFFFFC0FFFFFFFFFFFFE0FFFFFFFFFFFFE0FFFFFFFFFFFFE07FFFFF
FFFFFFC033397AB83F>I<0F0000F00F0000F01F0001F01E0001E01E0001E03E0003E03E0003E0
3C0003C07C0007C07C0007C078000780FF000FF0FF000FF0FF000FF0FF000FF0FF000FF0FF000F
F0FF000FF0FF000FF01C136CB834>92 D<0007FE0000007FFFC00001FFFFF00007FFFFF8000FFF
FFFC001FF001FE001F80007F001E00003F801C00003F800000001FC00000001FC00000001FC000
00000FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE0
00003FFFE00007FFFFE0003FFFFFE000FFE00FE003FF000FE007F8000FE00FE0000FE01FC0000F
E03F80000FE07F00000FE07F00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE0000
1FE0FF00001FE07F00003FE07F80007FE03FC001EFE03FF80FCFE01FFFFF8FE00FFFFF0FE007FF
FC0FE001FFF007C0007F800000232E7BAC31>97 D<7C00000000FE00000000FE00000000FE0000
0000FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE00
000000FE00000000FE00FF0000FE03FFE000FE0FFFF000FE1FFFFC00FE3FFFFE00FE7C07FF00FE
F000FF80FFC0003FC0FF80001FE0FF00000FE0FF000007F0FE000007F0FE000003F8FE000003F8
FE000001FCFE000001FCFE000001FCFE000000FEFE000000FEFE000000FEFE000000FEFE000000
FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FCFE000001FCFE0000
01FCFE000001FCFE000003F8FE000003F8FE000007F0FF000007F0FF00000FE0FF80001FC0FFC0
007F80FFE001FF00FEF80FFE00FE7FFFFC00FE3FFFF800FE1FFFF0007C07FFC0000001FE000027
3A78B834>I<00007FF0000003FFFF00000FFFFFC0003FFFFFF0007FFFFFFC00FFC00FFC01FE00
01FC03FC00007C07F00000180FE00000000FE00000001FC00000001F800000003F800000003F80
0000007F000000007F000000007F000000007E00000000FE00000000FE00000000FE00000000FE
00000000FE00000000FE00000000FE00000000FE00000000FE000000007F000000007F00000000
7F000000007F000000003F800000003F800000001FC00000041FC000000C0FE000003C07F00000
7C03F80000FC01FE0007FC00FFC03FF0007FFFFFE0003FFFFFC0000FFFFF000003FFFC0000007F
C000262E7CAC2E>I<000000007C00000000FE00000000FE00000000FE00000000FE00000000FE
00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE0000FF00
FE0007FFC0FE001FFFF0FE003FFFF8FE00FFFFFCFE01FFE03EFE03FF000FFE07FC0003FE07F000
03FE0FE00001FE1FC00000FE1FC00000FE3F800000FE3F800000FE7F000000FE7F000000FE7F00
0000FE7E000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE
000000FEFE000000FEFE000000FEFE000000FE7F000000FE7F000000FE7F000000FE3F800000FE
3F800000FE1FC00001FE1FC00001FE0FE00003FE0FF00003FE07F80007FE03FE001EFE01FFC07C
FE00FFFFF8FE007FFFF0FE001FFFE0FE0007FF807C0001FE0000273A7CB834>I<0000FF000000
07FFE000001FFFF800007FFFFE0000FFFFFF0001FF80FF8003FE003F8007F8001FC007F0000FE0
0FE00007E01FC00003F01FC00003F03F800001F83F800001F87F000001F87F000000F87F000000
FC7E000000FCFE000000FCFE000000FCFE000000FCFFFFFFFFFCFFFFFFFFFCFFFFFFFFFCFFFFFF
FFF8FE00000000FE00000000FE000000007E000000007F000000007F000000007F000000003F80
0000003F800000001FC00000000FE000000C0FF000001C07F800003C03FC0000FC01FE0003FC00
FFC03FF0007FFFFFE0003FFFFFC0000FFFFF000003FFFC0000007FC000262E7CAC2E>I<00000F
FC0000007FFF800001FFFF800007FFFF80000FFFFF80001FF00780003F800000003F000000007F
000000007F000000007F000000007F000000007F000000007F000000007F0000007FFFFFC000FF
FFFFE000FFFFFFE000FFFFFFE0007FFFFFC000007F000000007F000000007F000000007F000000
007F000000007F000000007F000000007F000000007F000000007F000000007F000000007F0000
00007F000000007F000000007F000000007F000000007F000000007F000000007F000000007F00
0000007F000000007F000000007F000000007F000000007F000000007F000000007F000000007F
000000007F000000007F000000007F000000007F000000007F000000007F000000007F00000000
7F000000007F000000003E000000213A7EB920>I<00007F007C0003FFC0FE000FFFF0FE003FFF
F8FE007FFFFCFE00FFE03CFE01FF000EFE03FC0007FE07F80003FE0FF00003FE1FE00001FE1FC0
0001FE3FC00000FE3F800000FE7F800000FE7F000000FE7F000000FE7F000000FEFE000000FEFE
000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFF000001FE
7F000001FE7F000001FE7F800001FE3F800003FE3FC00003FE1FE00007FE0FF00006FE0FF8000E
FE07FE001CFE03FFC078FE01FFFFF8FE007FFFF0FE003FFFC0FE000FFF80FE0001FE00FE000000
00FE00000000FE00000000FE00000000FC00000000FC00000001FC08000003F81E000003F01FC0
000FF01FFE003FE01FFFFFFFC00FFFFFFF0007FFFFFE00007FFFF8000003FFC00027397CAB34>
I<7C00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE0000
0000FE00000000FE00000000FE00000000FE00000000FE00000000FE007FC000FE01FFF000FE07
FFFC00FE0FFFFE00FE1FFFFF00FE3E01FF80FE78007F80FEE0003FC0FEC0001FC0FFC0001FE0FF
80000FE0FF80000FE0FF00000FE0FF00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0
FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000F
E0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE0000
0FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00
000FE0FE00000FE07C000007C0233978B834>I<7EFFFFFFFFFFFF7E000000000000003E7F7F7F
7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F7F3E
083A7AB916>I<7800000000FC00000000FC00000000FC00000000FC00000000FC00000000FC00
000000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000000FC00000000FC
000003E0FC000007F0FC00000FE0FC00003FC0FC00007F80FC0000FF00FC0001FE00FC0003FC00
FC0007F000FC000FE000FC003FC000FC007F8000FC00FF0000FC01FE0000FC03F80000FC07F000
00FC1FE00000FC3FC00000FC7FE00000FCFFF00000FDFFF80000FFFBFC0000FFF1FC0000FFE0FE
0000FFC07F0000FF807F8000FE003FC000FC001FC000FC000FE000FC0007F000FC0007F800FC00
03F800FC0001FC00FC0000FE00FC0000FF00FC00007F80FC00003F80FC00001FC0FC00000FE0FC
00000FF0FC000007F8FC000003F878000001F0253978B831>107 D<7CFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFEFE
FEFEFEFEFEFE7C073979B816>I<00007FC00007FC007C01FFF0001FFF00FE07FFFC007FFFC0FE
0FFFFE00FFFFE0FE1FFFFF01FFFFF0FE3E01FF83E01FF8FE78007F878007F8FEE0003FCE0003FC
FEC0001FCC0001FCFFC0001FFC0001FEFF80000FF80000FEFF80000FF80000FEFF00000FF00000
FEFF00000FF00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE000
00FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE0
0000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000F
E00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE0000
0FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00
000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE00000FE00000FEFE
00000FE00000FE7C000007C000007C3F2C78AB50>I<00007FC0007C01FFF000FE07FFFC00FE0F
FFFE00FE1FFFFF00FE3E01FF80FE78007F80FEE0003FC0FEC0001FC0FFC0001FE0FF80000FE0FF
80000FE0FF00000FE0FF00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0
FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000F
E0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE0000
0FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00
000FE07C000007C0232C78AB34>I<00007FC000000003FFF80000000FFFFE0000003FFFFF8000
007FFFFFC00000FFC07FE00001FE000FF00003F80003F80007F00001FC000FE00000FE000FC000
007E001FC000007F001F8000003F003F8000003F803F0000001F807F0000001FC07F0000001FC0
7E0000000FC07E0000000FC0FE0000000FE0FE0000000FE0FE0000000FE0FE0000000FE0FE0000
000FE0FE0000000FE0FE0000000FE0FE0000000FE0FE0000000FE07F0000001FC07F0000001FC0
7F0000001FC07F0000001FC03F8000003F803F8000003F801FC000007F001FC000007F000FE000
00FE0007F00001FC0007F80003FC0003FE000FF80001FFC07FF000007FFFFFC000003FFFFF8000
000FFFFE00000003FFF8000000007FC000002B2E7CAC34>I<0000FF00007C03FFE000FE0FFFF0
00FE1FFFFC00FE3FFFFE00FE7C07FF00FEF000FF80FFC0007FC0FF80001FE0FF00000FE0FF0000
0FF0FE000007F0FE000003F8FE000003F8FE000003FCFE000001FCFE000001FCFE000001FEFE00
0000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE
000000FEFE000001FCFE000001FCFE000001FCFE000003FCFE000003F8FE000007F8FE000007F0
FF00000FF0FF00001FE0FF80003FC0FFC0007F80FFE001FF00FEF80FFE00FE7FFFFC00FE3FFFF8
00FE1FFFF000FE07FFC000FE01FE0000FE00000000FE00000000FE00000000FE00000000FE0000
0000FE00000000FE00000000FE00000000FE000000007C00000000273778AB34>I<00007F007C
0003FFC0FE000FFFF0FE003FFFF8FE007FFFFCFE00FFE03CFE01FF000EFE03FC0007FE07F80003
FE0FF00003FE1FE00001FE1FC00001FE3FC00000FE3F800000FE7F800000FE7F000000FE7F0000
00FE7F000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE000000FEFE00
0000FEFE000000FEFE000000FE7F000000FE7F000000FE7F000000FE7F800000FE3F800000FE3F
800000FE1FC00001FE1FE00001FE0FE00003FE0FF00007FE07FC000FFE03FE001EFE01FFC07CFE
00FFFFF8FE007FFFF0FE001FFFE0FE0007FF80FE0000FE00FE00000000FE00000000FE00000000
FE00000000FE00000000FE00000000FE00000000FE00000000FE00000000FE000000007C27377C
AB34>I<00001F7C007FFE01FFFE07FFFE0FFFFE1FFFFE3FE0FE3F00FE7C00FEF800FEE000FFE0
00FFC000FF8000FF8000FF0000FF0000FF0000FE0000FE0000FE0000FE0000FE0000FE0000FE00
00FE0000FE0000FE0000FE0000FE0000FE0000FE0000FE0000FE0000FE0000FE0000FE0000FE00
00FE0000FE0000FE0000FE0000FE00007C0000182C78AB22>I<001FFE000000FFFFC00003FFFF
F00007FFFFFC000FFFFFFF001FE003FF003F80007F007E00001F007E00000600FC00000000FC00
000000FC00000000FC00000000FC00000000FE00000000FE000000007F800000007FE00000003F
FE0000001FFFF800000FFFFF000007FFFFC00003FFFFF00000FFFFF800003FFFFC000001FFFE00
00000FFF00000001FF800000007F800000001FC00000001FC00000000FC00000000FC00000000F
C00000000FC00000000FC04000001F807000001F80FC00003F80FF00007F00FFF003FE00FFFFFF
FC003FFFFFF8000FFFFFF00001FFFFC000001FFE0000222E7DAC28>I<003E0000007F0000007F
0000007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F00007F
FFFFF8FFFFFFFCFFFFFFFCFFFFFFFC7FFFFFF8007F0000007F0000007F0000007F0000007F0000
007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F00
00007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F0000007F
0000007F0000007F0000007F0000007F0000007F0000007F0004007F801C003F803E003FC1FE00
3FFFFC001FFFF8000FFFE00007FF800003FC001F387EB625>I<7C000007C0FE00000FE0FE0000
0FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00
000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE
00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0
FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00000FE0FE00001FE0FE00001FE0FE00003F
E0FE00003FE0FE00007FE07F0000EFE07F0003CFE03FE00F8FE03FFFFF0FE01FFFFE0FE00FFFFC
0FE003FFF007C000FF800000232C78AA34>I<780000000F00FC0000001F80FE0000003F807E00
00003F007F0000003F003F0000007E003F0000007E003F800000FE001F800000FC001FC00000FC
000FC00001F8000FC00001F8000FE00003F80007E00003F00007F00003F00003F00007E00003F0
0007E00001F8000FC00001F8000FC00001FC000FC00000FC001F800000FC001F8000007E003F00
00007E003F0000007F007F0000003F007E0000003F007E0000001F80FC0000001F80FC0000001F
C1FC0000000FC1F80000000FE1F800000007E3F000000007E3F000000007F7F000000003F7E000
000003FFE000000001FFC000000001FFC000000001FFC000000000FF8000000000FF8000000000
3E000000292B7EAA2E>I<78000007C000001EFC00000FF000003FFC00000FF000003F7E00001F
F000007E7E00001FF800007E7E00001FF800007E3F00003FF80000FC3F00003EFC0000FC3F0000
3EFC0000FC1F80007E7C0001F81F80007C7E0001F81F80007C7E0001F81FC000FC3E0001F80FC0
00F83F0003F00FC000F83F0003F00FE001F81F0003F007E001F01F8007E007E001F01F8007E007
F003F00F8007E003F003E00FC00FC003F003E00FC00FC003F003E007C00FC001F807C007C01F80
01F807C007E01F8001F807C007E01F8000FC0FC003E03F0000FC0F8003F03F0000FC0F8003F03F
00007E1F8001F07E00007E1F0001F87E00007E1F0001F87E00003E1F0000F87C00003F3E0000F8
FC00003F3E0000FCFC00001F3E00007CF800001F3C00007CF800001FFC00007FF800000FFC0000
3FF000000FF800003FF000000FF800003FF0000007F800001FE0000007F000001FE0000003E000
000FC000402B7EAA45>I<7C0000003E00FE0000007E007F000000FE003F800001FC001FC00003
F8000FE00003F0000FE00007F00007F0000FE00003F8001FC00001FC003F800000FE007F000000
7F007E0000003F80FC0000001F81F80000000FC3F800000007E7F000000007FFE000000003FFC0
00000001FF8000000000FF00000000007E00000000007F0000000000FF8000000001FF80000000
03FFC000000007E7E00000000FC3F00000000FC1F80000001F80FC0000003F007E0000007E007F
000000FC003F800001FC001FC00003F8000FC00007F00007E00007E00003F0000FC00003F8001F
C00001FC003F800000FE007F0000007F00FE0000003F80FC0000001F80F80000000F80292B7EAA
2E>I<780000000F00FC0000001F807E0000003F807E0000003F007F0000003F003F0000007E00
3F8000007E001F800000FC001FC00000FC000FC00001FC000FC00001F80007E00001F80007E000
03F00007F00003F00003F00007F00003F80007E00001F80007E00001FC000FC00000FC000FC000
00FC001F800000FE001F8000007E001F8000007F003F0000003F003F0000003F007E0000001F80
7E0000001F807E0000000FC0FC0000000FC0FC0000000FC0F800000007E1F800000007E1F00000
0003F1F000000003F3F000000001F3E000000001F3E000000000FFC000000000FFC000000000FF
C0000000007F80000000007F80000000003F00000000003F00000000003E00000000003E000000
00007E00000000007C0000000000FC0000000001F80000003007F00000007FFFF00000007FFFE0
0000007FFF800000007FFF000000003FF80000000029377EAA2E>I<7FFFFFFFFFFFC0FFFFFFFF
FFFFE0FFFFFFFFFFFFE0FFFFFFFFFFFFE07FFFFFFFFFFFC03305809C34>123
D<7FFFFFFFFFFFFFFFFFFFFFFFF8FFFFFFFFFFFFFFFFFFFFFFFFFCFFFFFFFFFFFFFFFFFFFFFFFF
FCFFFFFFFFFFFFFFFFFFFFFFFFFC7FFFFFFFFFFFFFFFFFFFFFFFF86605809C67>I
E end
%%EndProlog
%%BeginSetup
%%Feature: *Resolution 300
TeXDict begin @letter /letter where {pop letter} if
%%EndSetup
%%Page: 1 1
bop 656 624 a Fe(It's)34 b(T)-9 b(en)35 b(O'Clo)s(ck;)728 749
y(Do)g(Y)-9 b(ou)34 b(Kno)m(w)637 873 y(Who's)f(Connecting)649
998 y(to)h(Y)-9 b(our)34 b(Machine?)810 1422 y(Dave)g(Ba)m(rr)674
1547 y Fd(barr@pop.psu.edu)547 1821 y Fe(Systems)g(Administrato)m(r)401
1946 y(P)m(opulation)h(Resea)m(rch)f(Institute)300 2070 y(The)g(P)m
(ennsylvania)h(State)g(Universit)m(y)1765 2673 y Fc(1)p eop
%%Page: 2 2
bop 867 538 a Fe(Agenda)143 849 y Fb(\017)41 b Fe(Overview)143
1160 y Fb(\017)g Fe(The)34 b(\\tcp)p 627 1160 31 2 v 37 w(wrapp)s(er")143
1472 y Fb(\017)41 b Fe(The)34 b(RF)m(C931)h(identi\014cation)g(p)m(roto)s
(col)143 1783 y Fb(\017)41 b Fe(The)34 b(\\Big)h(Picture")143
2094 y Fb(\017)41 b Fe(Review)36 b(and)d(questions)1765 2673
y Fc(2)p eop
%%Page: 3 3
bop 831 571 a Fe(Overview)143 882 y Fb(\017)41 b Fe(Basic)35
b(services)f(of)g(TCP/IP)143 1194 y Fb(\017)41 b Fe(Existing)36
b(logging)e(metho)s(ds)231 1412 y(1.)41 b Fd(last)34 b Fe(|)h
Fd(/etc/wtmp)p Fe(,)e(login)i(accounting)231 1630 y(2.)41 b(p)m(ro)s(cess)33
b(accounting)g(|)i Fd(lastcomm)143 1941 y Fb(\017)41 b Fe(The)34
b Fd(inetd)g Fe(service)h(|)228 2066 y Fd(/etc/services)43
b(and)g(/etc/inetd.conf)1765 2673 y Fc(3)p eop
%%Page: 4 4
bop 651 450 a Fe(Overview,)35 b(cont'd.)143 761 y Fb(\017)41
b Fe(Limitations)25 b(of)d(basic)h(UNIX)g(net)m(w)m(o)m(rking)g(d\032mons)231
979 y(1.)41 b(w)m(o)m(rld{accessable)231 1197 y(2.)g(not)j(usually)i(mo)s
(di\014able)f(without)g(source)353 1322 y(co)s(de)143 1633
y Fb(\017)c Fe(P)m(ossible)35 b(Solutions)231 1851 y(1.)41
b(Individual)48 b(mo)s(di\014cations)f(of)f(every)g(dae-)353
1976 y(mon)231 2193 y(2.)41 b Fd(inetd)1765 2673 y Fc(4)p eop
%%Page: 5 5
bop 617 154 a Fe(The)34 b(\\tcp)g(wrapp)s(er")143 466 y Fb(\017)41
b Fe(Bene\014ts)33 b(of)h(this)h(app)m(roach)231 684 y(1.)41
b(P)m(o)m(rtabilit)m(y)231 901 y(2.)g(Flexibili)q(t)n(y)143
1213 y Fb(\017)g Fe(Limitations)255 1431 y Fa({)g Fe(Only)35
b(p)m(ro)s(cesses)d(spa)m(wned)h(from)h Fd(inetd)255 1649 y
Fa({)41 b Fe(Notable)35 b(exceptions:)314 1835 y(1.)41 b Fd(sendmail)314
2053 y Fe(2.)g(NIS)35 b(services)314 2271 y(3.)41 b Fd(portmap)314
2489 y Fe(4.)g(NFS)1765 2673 y Fc(5)p eop
%%Page: 6 6
bop 701 768 a Fe(Getting)35 b(log)p 1183 768 31 2 v 38 w(tcp)143
1080 y Fb(\017)41 b Fe(Where?)255 1298 y Fa({)g Fe(ftp.win.tue.nl:/pub/secu)o
(rit)m(y/log)p 1705 1298 V 36 w(tcp*.Z)255 1516 y Fa({)g Fe(ftp.uu.net:/pu)o
(b/s)o(ecurit)m(y/log)p 1562 1516 V 36 w(tcp*.Z)255 1733 y
Fa({)g Fe(bug)33 b(\014x)h(fo)m(r)g(multi-homed)i(hosts:)353
1858 y(ftp.p)s(op.psu)o(.edu)o(:/p)o(ub)o(/log)p 1431 1858
V 35 w(tcp.4.2-psu.ta)m(r.Z)1765 2673 y Fc(6)p eop
%%Page: 7 7
bop 794 472 a Fe(Installation)106 783 y(1.)41 b Fd(log)p 365
783 27 2 v 32 w(tcp)267 1001 y Fb(\017)h Fe(The)34 b Fd(Makefile)267
1219 y Fb(\017)42 b Fd(log)p 490 1219 V 31 w(tcp.h)106 1531
y Fe(2.)f Fd(/etc/inetd.conf)106 1842 y Fe(3.)g Fd(/etc/services)106
2153 y Fe(4.)g Fd(syslog)34 b Fe(facilit)m(y)1765 2673 y Fc(7)p
eop
%%Page: 8 8
bop 634 466 a Fe(Installation)36 b(Cont'd)143 777 y Fb(\017)41
b Fe(Optional)35 b(F)m(eatures)231 995 y(1.)41 b(RF)m(C931)34
b(supp)s(o)m(rt.)45 b(\\See)34 b(b)s(elo)m(w")231 1213 y(2.)41
b(hosts)p 580 1213 31 2 v 36 w(access)33 b(control.)46 b(\\See)34
b(b)s(elo)m(w")143 1524 y Fb(\017)41 b Fd(hosts.deny)34 b Fe(and)f
Fd(hosts.allow)g Fe(\014les)255 1742 y Fa({)41 b Fe(additional)36
b(logging)255 1960 y Fa({)41 b Fe(reverse)34 b(\014ngering)255
2178 y Fa({)41 b Fe(unkno)m(wn)32 b(hosts)1765 2673 y Fc(8)p
eop
%%Page: 9 9
bop 267 678 a Fe(The)34 b(RF)m(C931)g(Identi\014cation)h(p)m(roto)s(col)143
989 y Fb(\017)41 b Fe(Where)35 b(can)f(I)g(get)h(it?)143 1300
y Fb(\017)41 b Fe(Mechanism)231 1518 y(1.)g(Ho)m(w)34 b(the)g(d\032mon)g(w)m
(o)m(rks)231 1736 y(2.)41 b(The)34 b(info)m(rmation)h(it)h(returns)231
1954 y(3.)41 b(securit)m(y)35 b(issues)1765 2673 y Fc(9)p eop
%%Page: 10 10
bop 673 684 a Fe(RF)m(C931,)34 b(cont'd.)143 995 y Fb(\017)41
b Fe(931,)33 b(IDENT,)j(T)-9 b(AP)143 1306 y Fb(\017)41 b Fe(Integration)24
b(with)g(existing)f(clients)i(and)d(servers)231 1524 y(1.)41
b(tcp)p 494 1524 31 2 v 37 w(wrapp)s(er)34 b(logs)g(and)g(hosts)p
1512 1524 V 35 w(access)g(\014le)231 1742 y(2.)41 b(wua)m(rchive's)34
b Fd(ftpd)231 1960 y Fe(3.)41 b(ID)m(A)35 b Fd(sendmail)1765
2673 y Fc(10)p eop
%%Page: 11 11
bop 631 569 a Fe(The)34 b(\\Big)g(Picture")143 880 y Fb(\017)41
b Fe(What)35 b(do)s(es)e(this)i(gain?)231 1098 y(1.)41 b(collective)c
(securit)m(y)231 1316 y(2.)k(tracking)35 b(of)e(crack)m(ers)143
1627 y Fb(\017)41 b Fe(What's)34 b(still)j(out)d(there?)231
1845 y(1.)41 b(The)34 b(\\K")g(w)m(o)m(rd)231 2063 y(2.)41
b(common)34 b(sense)f(p)m(ractices)1765 2673 y Fc(11)p eop
%%Page: 12 12
bop 556 1347 a Fe(Review)36 b(and)d(Questions)1765 2673 y Fc(12)p
eop
%%Trailer
end
userdict /end-hook known{end-hook}if
%%EOF
